Package de.gebit.integrity.ui.highlighting

## Class DSLSemanticHighlightingCalculator

- java.lang.Object
- - de.gebit.integrity.ui.highlighting.DSLSemanticHighlightingCalculator

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator`

      public class DSLSemanticHighlightingCalculator
      extends Object
      implements org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator

  The semantic highlight calculator is responsible for performing the more complex syntax highlighting.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator

      `org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator.NewToOldDelegate`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLSemanticHighlightingCalculator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `provideHighlightingFor​(org.eclipse.xtext.resource.XtextResource aResource, org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightedPositionAcceptor anAcceptor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLSemanticHighlightingCalculator

          public DSLSemanticHighlightingCalculator()

  - ### Method Detail

    - #### provideHighlightingFor

          public void provideHighlightingFor​(org.eclipse.xtext.resource.XtextResource aResource,
                                             org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightedPositionAcceptor anAcceptor)

      Specified by:
        `provideHighlightingFor` in interface `org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator`